# Generated by Django 2.2.24 on 2021-08-31 14:53

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Country',
            fields=[
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('iso2_code', models.CharField(max_length=2, primary_key=True, serialize=False, verbose_name='ISO alpha-2')),
                ('iso3_code', models.CharField(max_length=3, unique=True, verbose_name='ISO alpha-3')),
                ('name', models.CharField(max_length=128, verbose_name='official name (CAPS)')),
                ('printable_name', models.CharField(max_length=128, verbose_name='country name')),
                ('numcode', models.SmallIntegerField(blank=True, null=True, verbose_name='ISO numeric')),
                ('active', models.BooleanField(default=True, verbose_name='country is active')),
                ('continent', models.CharField(choices=settings.L10N_CONTINENTS, max_length=2, verbose_name='continent')),
                ('admin_area', models.CharField(blank=True, choices=settings.L10N_AREAS, max_length=2, verbose_name='administrative area')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='l10n_country_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='l10n_country_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'country',
                'verbose_name_plural': 'countries',
                'ordering': ('ordering', 'name'),
                'permissions': (('list_country', 'Can list country'), ('detail_country', 'Can detail country'), ('enable_country', 'Can enable country'), ('disable_country', 'Can disable country')),
            },
        ),
        migrations.CreateModel(
            name='AdministrativeArea',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('name', models.CharField(max_length=60, verbose_name='admin area name')),
                ('abbrev', models.CharField(blank=True, max_length=3, verbose_name='postal abbreviation')),
                ('active', models.BooleanField(default=True, verbose_name='area is active')),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='areas', to='l10n.Country', verbose_name='country')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='l10n_administrativearea_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='l10n_administrativearea_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'administrative area',
                'verbose_name_plural': 'administrative areas',
                'ordering': ('ordering', 'name'),
                'permissions': (('list_administrativearea', 'Can list administrative area'), ('detail_administrativearea', 'Can detail administrative area'), ('enable_administrativearea', 'Can enable administrative area'), ('disable_administrativearea', 'Can disable administrative area')),
                'unique_together': {('country', 'name')},
            },
        ),
    ]
